\documentclass[a4paper,11pt]{article} 
\usepackage[T1]{fontenc} 
\usepackage[utf8]{inputenc} 
\usepackage{graphicx}
\usepackage{subcaption}
\usepackage{amsmath} 
\usepackage{amssymb}
\usepackage{commath}
\usepackage{hyperref}
\title{Computational Finance \\ 	
\Large Worksheet 4} 
\author{Lisa Beer, Alex Dyck, Ho-Yin Leung}
\date{} 
\begin{document}
	\maketitle 
	 
	\noindent
	\textbf{Task 1.}
	Figure 1 shows the integrand of a two-dimensional Down-Out Call option with the given parameters. \\
	% -----------Task 1--------------------
	 \begin{figure}[!htb]
	  \includegraphics[width=\linewidth]{graphics/s5t1.png}
	  \caption{The integrand of a two-dimensioanl Down-Out Call option.}
	  \end{figure}
	\\
	\newline
	\noindent
	\textbf{Task 2.}
	From Task 4, we know that the exact value is 0.845211. To compute the exact reference value numerically, we use the halton sequence 
	and choose level 20. We get the approximation 0.845789, if we use the random walk construction. The plot shows a convergence behaviour 
	like $N^{-0.5}$. If we use a bad reference value (e.g. the same numerical approximationas before with level 10, which gives 0.783929), 
	the method does not converge. For the Brownian bridge, we get a problem: The Brownian motion has too low values or one value is at least lower
	than the barrier B, so the approximation of the exact value is 0, which is not appropriate. Thus the random walk construction seems to be better
	for pricing the Down-Out Call option. 
	 \begin{figure}[h]
	  \includegraphics[width=\linewidth]{graphics/s5t2_rw.png}
	  \caption{Convergence plot for the barrier Down-Out Call option using the random walk.}
	 \end{figure}
	 \begin{figure}[h]
	  \includegraphics[width=\linewidth]{graphics/s5t2_bad.png}
	  \caption{Convergence plot for the barrier Down-Out Call option for bad reference value.}
	 \end{figure}

	\noindent
	\textbf{Task 3.}
	The figure \ref{t3} shows the fair prices for a Down-Out Call option with the given parameters by using the Black-Scholes formula. 
	% -----------Task 3--------------------
	 \begin{figure}[!htb]
	  \includegraphics[width=\linewidth]{graphics/s5t3.png}
	  \caption{Task 3}
	   \label{t3}
	 \end{figure}

	\noindent
	\textbf{Task 4.}
	 \begin{figure}[!htb]
	  \includegraphics[width=\linewidth]{graphics/s5t4.png}
	  \caption{Convergence plot for the barrier Down-Out Call option for different number of time steps with the closed form solution of the continuous formula as reference value.}
	 \end{figure}
	 The figure 5 shows the convergence behaviour for pricing of the discretely monitored barrier Down-Out Call option using the Black-Scholes formula 
	 as reference value. One can see several interesting behaviours. $M = 4$ is obviously too low, thus the convergence is
	 very low, too. However, a very large number of timesteps seems not appropriate if we choose a large number of points.
	 Thus, $M = 64$ seems to be a good choice. Nevertheless, all the curves except for $M=4$ look similar, namely the convergence behaves as 
	 $N^{-0.5}$ and it looks like if we do not get much better convergence for different $M$. \\
	\noindent
	\textbf{Task 5.}
	 Figure \ref{t5f} shows the discrete time integrand for the Lookback option in two dimensions for fixed strike $K$.
	 Figure \ref{t5v} shows the discrete time integrand for the Lookback option in two dimensions for variable strike.
	 
	\begin{figure}[!htb]
	% -----------Task 5--------------------
	 \begin{subfigure}{.5\textwidth}
	  \includegraphics[width=\linewidth]{graphics/s5t5_fixed.png}
	  \caption{The integrand of a two-dimensioanl Lookback option with fixed strike.}
	  \label{t5f}
	  \end{subfigure}
	 \begin{subfigure}{.5\textwidth}
	  \includegraphics[width=\linewidth]{graphics/s5t5_variable.png}
	  \caption{The integrand of a two-dimensioanl Lookback option with variable strike.}
	  \label{t5v}
	 \end{subfigure}
	\end{figure}
	
	\noindent
	\textbf{Task 6.}
	 Figure \ref{t6} shows a convergence plot for the discrete time Lookback option. \\
	 
	\begin{figure}[!htb]
	% -----------Task 6--------------------
	  \includegraphics[width=\linewidth]{graphics/s5t6.png}
	  \caption{Convergence plot for the  discrete time Lookback option.}
	  \label{t6}
	\end{figure}
	
	\begin{figure}[!htb]
	% -----------Task 5--------------------
	  \includegraphics[width=\linewidth]{graphics/s5t7.png}
	  \caption{Convergence plot for the arithmetic Asian call option with and without the control variate.}
	  \label{t7}
	\end{figure}
	
	\noindent
	\textbf{Task 7.}
	 Figure \ref{t7} shows a convergence plot for the arithmetic Asian call option with and without the control variate. One can see that the error is 
	 significantly smaller if we use the control variate. Thus, this approach is useful. 
	 
	\begin{figure}[!htb]
	 % -----------Task 8--------------------
	  \includegraphics[width=\linewidth]{graphics/s5t8.png}
	  \caption{volatility smile for $\sigma  = 0.2$ }
	  \label{t8}
	 \end{figure}
	
	\noindent
	\textbf{Task 8.} In \ref{t8} you can observe the volatility smile which occurs to the implied volatility if you vary the strike price.

	\begin{figure}[!htb]
	 % -----------Task 9--------------------
	  \includegraphics[width=\linewidth]{graphics/s5t9_tesla.png}
	  \caption{volatility smile for a Tesla call option}
	  \label{t9}
	 \end{figure}
	
	\noindent
	\textbf{Task 9.} In \ref{t9} you do not see the so called volatility smile. The reason is, that the options taken were pretty much at the moeny and the short maturity date made it less volatile. Nevertheless, the computed implied volatilityy coincides with the IV from the page.

\end{document}